# ────────────────────────────────────────────────────────────────────
#          ╭────────────────────────────────────────────────╮
#          │                WORKSPACE RULES                 │
#          ╰────────────────────────────────────────────────╯
# ────────────────────────────────────────────────────────────────────

# Display full sized (without gaps), if only window on screen
# workspace = w[tv1], gapsout:0, gapsin:0
# workspace = f[1], gapsout:0, gapsin:0
# windowrule = bordersize 0, floating:0, onworkspace:w[tv1]
# windowrule = rounding 0, floating:0, onworkspace:w[tv1]
# windowrule = bordersize 0, floating:0, onworkspace:f[1]
# windowrule = rounding 0, floating:0, onworkspace:f[1]

$mainMod = SUPER

# ────────────────────────────────────────────────────────────────────
#          ╭────────────────────────────────────────────────╮
#          │                  WINDOW RULES                  │
#          ╰────────────────────────────────────────────────╯
# ────────────────────────────────────────────────────────────────────
windowrule = move 1450 50, title:^(.*)(Power menu)$
windowrule = workspace 2, class:evince
windowrule = workspace 2, title:.*(Okular).*
windowrule = workspace 2, class:org.pwmt.zathura
windowrule = fullscreen, title:wlogout
windowrule = workspace 2, class:librewolf
windowrule = workspace 2, title:LibreWolf
windowrule = workspace 2, title:(.*)(Discord)(.*)
windowrule = workspace 3, title:^(Steam)(.*)$
windowrule = workspace 1, title:^(.*)(VSCodium)$
windowrule = center, title:^(.*)(VSCodium)$
windowrule = workspace 3, class:minecraft-launcher
windowrule = tile, class:minecraft-launcher
windowrule = fullscreen, title:^(.*)(Minecraft)(.*)$
windowrule = workspace 3, title:^(.*)(Minecraft)(.*)$

windowrule = workspace 1, title:^(.*)hidden-terminator*(.*)$
windowrule = size 0 0, title:^(.*)hidden-terminator*(.*)$
windowrule = move 0 0, title:^(.*)hidden-terminator*(.*)$
windowrule = float, title:^(.*)hidden-terminator*(.*)$

# ┌                                                ┐
# │          Set rule for yazi filepicker          │
# └                                                ┘
windowrule = float, title:^(.*)termfilechooser*(.*)$
windowrule = size 1400 800, title:^(.*)termfilechooser*(.*)$
windowrule = center, title:^(.*)termfilechooser*(.*)$

# ┌                                                ┐
# │ Set floating windows & position them centered  │
# └                                                ┘
windowrule = float, class:file_progress
windowrule = center, class:file_progress

windowrule = float, class:confirm
windowrule = center, class:confirm

windowrule = float, class:dialog
windowrule = center, class:dialog

windowrule = float, class:download
windowrule = center, class:download

windowrule = float, class:notification
windowrule = center, class:notification

windowrule = float, class:error
windowrule = center, class:error

windowrule = float, class:splash
windowrule = center, class:splash

windowrule = float, class:confirmreset
windowrule = center, class:confirmreset

windowrule = float, title:Open File
windowrule = center, title:Open File

windowrule = float, title:branchdialog
windowrule = center, title:branchdialog

windowrule = float, class:Lxappearance
windowrule = center, class:Lxappearance

windowrule = float, title:^(Media viewer)$
windowrule = center, title:^(Media viewer)$

windowrule = float, title:^(Volume Control)$
windowrule = center, title:^(Volume Control)$

windowrule = float, title:^(Picture-in-Picture)$
windowrule = center, title:^(Picture-in-Picture)$

windowrule = float, title:^(File Operation Progress)$
windowrule = center, title:^(File Operation Progress)$

windowrule = float, title:^(Loading)(.*)$
windowrule = center, title:^(Loading)(.*)$

windowrule = float, class:pavucontrol-qt
windowrule = center, class:pavucontrol-qt

windowrule = float, class:pavucontrol
windowrule = center, class:pavucontrol

windowrule = float, class:file-roller
windowrule = center, class:file-roller

windowrule = idleinhibit focus, title:^(Rocket League)(.*)$
windowrule = fullscreen, title:^(Steam Big Picture)$
windowrule = idleinhibit always, class:steam
windowrule = idleinhibit always, class:lutris
windowrule = idleinhibit focus, class:vlc
windowrule = idleinhibit focus, class:supertuxkart
windowrule = idleinhibit fullscreen, title:^(.*)(Discord)(.*)$
windowrule = idleinhibit fullscreen, title:^(.*)(~)(.*)$
